Subject: Re: [PATCH net 2/2] selftests: forwarding: Remove executable bits from lib.sh

From: Benjamin Poirier <[email-masked]>
Date: Fri, 19 Jan 2024 16:56:28 -0500

On 2024-01-16 09:32 +0100, Paolo Abeni wrote:
> On Wed, 2024-01-10 at 09:14 -0500, Benjamin Poirier wrote:
> > The lib.sh script is meant to be sourced from other scripts, not executed
> > directly. Therefore, remove the executable bits from lib.sh's permissions.
> 
> LGTM, but there is any special reason to not fix the permissions of
> other *lib.sh files in the same directory? Could be a follow-up.

I just looked into it and as of dbc153fd3c14 other *lib.sh files under
tools/testing/selftests/net/forwarding/ do not have any executable bits.
Did I miss something?

tools/testing/selftests/net/setup_loopback.sh has an unneccessary +x,
I'll send a patch for that one.